Internals
=========

This page contains the Support Package documentation.

The :mod:`metaclasses` Module
-----------------------------

.. module:: gtkmvc.support.metaclasses

.. autoclass:: PropertyMeta
    :members:
    :undoc-members:
    :show-inheritance:

.. autoclass:: ObservablePropertyMeta
    :members:
    :undoc-members:
    :show-inheritance:

.. autoclass:: ObservablePropertyMetaMT
    :members:
    :undoc-members:
    :show-inheritance:

.. autoclass:: ObservablePropertyGObjectMeta
    :members:
    :undoc-members:
    :show-inheritance:

.. autoclass:: ObservablePropertyGObjectMetaMT
    :members:
    :undoc-members:
    :show-inheritance:

.. autoclass:: ObservablePropertyMetaSQL
    :members:
    :undoc-members:
    :show-inheritance:

The :mod:`decorators` Module
----------------------------

.. automodule:: gtkmvc.support.decorators
    :members:
    :undoc-members:
    :show-inheritance:

